/* $Id: conn.h,v 1.2 2002/02/07 01:09:25 d Exp $ */

struct buffer;
struct io;

struct conn {
	SLIST_ENTRY(conn) link;
	struct	io *io;
	int	closing;
	struct	buffer *in;
	struct	buffer *out;
	struct	conn *peer;
	char	name[128];
	int	isclient;
	int	tlsstate;
	int	hdrstate;
	int	connid;
};

extern SLIST_HEAD(connhead, conn) connhead;
extern int	conns_changed;

struct conn	*conn_new(struct io*);
void		conn_free(struct conn *);

